(* 'top'-like tool for libvirt domains.
 * $Id: virt_top_main.ml,v 1.1 2007/08/23 11:09:19 rjones Exp $
 *
 * Just contains the main function.
 *)

open Curses

open Virt_top

(* Note: make sure we catch any exceptions and clean up the display. *)
let () =
  let state = start_up () in

  try
    main_loop state;
    endwin ()
  with
  | Libvirt.Virterror err ->
      endwin ();
      prerr_endline (Libvirt.Virterror.to_string err);
      exit 1
  | exn ->
      endwin ();
      prerr_endline ("Error: " ^ Printexc.to_string exn);
      exit 1
